# Get Affiliate Caps

| HTTP method | Endpoint                                   |
| ----------- | ------------------------------------------ |
| **GET**     | **/v1/offers/{offer\_id}/affiliate\_caps** |

## Path parameters <a href="#path-parameters-1" id="path-parameters-1"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

| Field           | Type    | Description                    |
| --------------- | ------- | ------------------------------ |
| id              | integer |                                |
| offer\_id       | integer |                                |
| affiliate\_id   | integer |                                |
| cap\_budget     | string  |                                |
| cap\_click      | integer |                                |
| cap\_type       | integer | Cap type.                      |
| cap\_conversion | integer |                                |
| category        | integer | The type of code.              |
| create\_time    | integer | The Creation time of the code. |

## Example request <a href="#example-request-1" id="example-request-1"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/offers/16/affiliate_caps>

**Request GET** <http://{networkname}.api.offerslook.com/v1/offers/16/affiliate_caps>

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate_cap": [
          {
            "id": 14,
            "affiliate_id": 9,
            "campaign_id": 16,
            "cap_type": 3,
            "cap_click": 0,
            "cap_conversion": 0,
            "cap_budget": "1.23",
            "category": 2,
            "create_time": 1462527832
          },
          {
            "id": 17,
            "affiliate_id": 8,
            "campaign_id": 16,
            "cap_type": 5,
            "cap_click": 2,
            "cap_conversion": 0,
            "cap_budget": "0",
            "category": 2,
            "create_time": 1462591223
          }
        ]
      }
    }
```
